from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XComplexDescriptionAccess(XChartDataArray, Protocol):
    def getComplexRowDescriptions(self) -> list[list[str]]: ...
    def setComplexRowDescriptions(self, rRowDescriptions: sequence< sequence< string > >) -> None: ...
    def getComplexColumnDescriptions(self) -> list[list[str]]: ...
    def setComplexColumnDescriptions(self, rColumnDescriptions: sequence< sequence< string > >) -> None: ...
